Update zone-level Waiting Room settings
PUT/zones/{zone_id}/waiting_rooms/settings
Update zone-level Waiting Room settings
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Update zone-level Waiting Room settings
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/settings \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"search_engine_crawler_bypass": true
}'{
"result": {
"search_engine_crawler_bypass": true
}
}Returns Examples
{
"result": {
"search_engine_crawler_bypass": true
}
}